## org.jvnet.maven.plugin.antrun
Class RejarTask

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.apache.tools.ant.taskdefs.MatchingTask
                  org.apache.tools.ant.taskdefs.Zip
                      org.apache.tools.ant.taskdefs.Jar
                          org.jvnet.maven.plugin.antrun.RejarTask

All Implemented Interfaces:
  java.lang.Cloneable, org.apache.tools.ant.types.selectors.SelectorContainer

    public class RejarTask

extends org.apache.tools.ant.taskdefs.Jar

<jar> task extended to correctly merge manifest metadata. TODO: this contains HK2 knowledge, so it should be moved to HK2.

Author:
  Kohsuke Kawaguchi

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.tools.ant.taskdefs.Jar
`org.apache.tools.ant.taskdefs.Jar.FilesetManifestConfig, org.apache.tools.ant.taskdefs.Jar.StrictMode`

Nested classes/interfaces inherited from class org.apache.tools.ant.taskdefs.Zip
`org.apache.tools.ant.taskdefs.Zip.ArchiveState, org.apache.tools.ant.taskdefs.Zip.Duplicate, org.apache.tools.ant.taskdefs.Zip.UnicodeExtraField, org.apache.tools.ant.taskdefs.Zip.WhenEmpty`

Field Summary

Fields inherited from class org.apache.tools.ant.taskdefs.Zip
`addedDirs, archiveType, doubleFilePass, duplicate, emptyBehavior, entries, skipWriting, zipFile`

Fields inherited from class org.apache.tools.ant.taskdefs.MatchingTask
`fileset`

Fields inherited from class org.apache.tools.ant.Task
`target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`description, location, project`

Constructor Summary
`RejarTask()`

Method Summary
`void` `execute()`
`protected void` `initZipOutputStream(org.apache.tools.zip.ZipOutputStream zOut)`
`protected void` `zipFile(java.io.InputStream is, org.apache.tools.zip.ZipOutputStream zOut, java.lang.String vPath, long lastModified, java.io.File fromArchive, int mode)`

Methods inherited from class org.apache.tools.ant.taskdefs.Jar
`addConfiguredIndexJars, addConfiguredManifest, addConfiguredService, addMetainf, cleanUp, createEmptyZip, finalizeZipOutputStream, findJarName, getResourcesToAdd, grabFilesAndDirs, reset, setFilesetmanifest, setFlattenAttributes, setIndex, setIndexMetaInf, setJarfile, setManifest, setManifestEncoding, setMergeClassPathAttributes, setStrict, setWhenempty, setWhenmanifestonly, writeIndexLikeList`

Methods inherited from class org.apache.tools.ant.taskdefs.Zip

`add, addFileset, addParentDirs, addResources, addResources, addZipfileset, addZipGroupFileset, executeMain, getComment, getCreateUnicodeExtraFields, getCurrentExtraFields, getDestFile, getEncoding, getFallBackToUTF8, getLevel, getNonFileSetResourcesToAdd, getPreserve0Permissions, getResourcesToAdd, getUseLanguageEnodingFlag, grabNonFileSetResources, grabResources, hasUpdatedFile, isAddingNewFiles, isCompress, isEmpty, isFirstPass, isInUpdateMode, logWhenWriting, selectDirectoryResources, selectFileResources, selectResources, setBasedir, setComment, setCompress, setCreateUnicodeExtraFields, setCurrentExtraFields, setDestFile, setDuplicate, setEncoding, setFallBackToUTF8, setFile, setFilesonly, setKeepCompression, setLevel, setPreserve0Permissions, setRoundUp, setUpdate, setUseLanguageEncodingFlag, setZipfile, zipDir, zipDir, zipDir, zipFile, zipFile`

Methods inherited from class org.apache.tools.ant.taskdefs.MatchingTask

`add, addAnd, addContains, addContainsRegexp, addCustom, addDate, addDepend, addDepth, addDifferent, addFilename, addMajority, addModified, addNone, addNot, addOr, addPresent, addSelector, addSize, addType, appendSelector, createExclude, createExcludesFile, createInclude, createIncludesFile, createPatternSet, getDirectoryScanner, getImplicitFileSet, getSelectors, hasSelectors, selectorCount, selectorElements, setCaseSensitive, setDefaultexcludes, setExcludes, setExcludesfile, setFollowSymlinks, setIncludes, setIncludesfile, setProject, XsetIgnore, XsetItems`

Methods inherited from class org.apache.tools.ant.Task
`bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`clone, getDescription, getLocation, getProject, setDescription, setLocation`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RejarTask

    public RejarTask()

Method Detail

### execute

    public void execute()
                 throws org.apache.tools.ant.BuildException

  Overrides:
    `execute` in class `org.apache.tools.ant.taskdefs.Zip`
  Throws:
    `org.apache.tools.ant.BuildException`

### initZipOutputStream

    protected void initZipOutputStream(org.apache.tools.zip.ZipOutputStream zOut)
                                throws java.io.IOException,
                                       org.apache.tools.ant.BuildException

  Overrides:
    `initZipOutputStream` in class `org.apache.tools.ant.taskdefs.Jar`
  Throws:
    `java.io.IOException`
    `org.apache.tools.ant.BuildException`

### zipFile

    protected void zipFile(java.io.InputStream is,
                           org.apache.tools.zip.ZipOutputStream zOut,
                           java.lang.String vPath,
                           long lastModified,
                           java.io.File fromArchive,
                           int mode)
                    throws java.io.IOException

  Overrides:
    `zipFile` in class `org.apache.tools.ant.taskdefs.Jar`
  Throws:
    `java.io.IOException`

Copyright © 2011. All Rights Reserved.